// synthesisSuccessful = True
// numberOfExamplesUsed = 8
// numberOfExamplesProvided = 8
// computationTime = 15.1999398
// grammarName = FlashFill-extended-no-loops
// maxNumberOfBranches = 3

using System;
using System.Collections.Generic;
using System.Linq;
using System.Xml.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using _ = TestDSLs.FlashFillImpl;

namespace lasyOutput
{
	public static class LasyOutput
	{
		public static string ConvertBib(string oldFormat)
		{
			unchecked
			{
				return _.Concatenate(_.SubStr2(oldFormat, new System.Text.RegularExpressions.Regex("[^,]+"), 0), "\n", ConvertList(_.SubStr(oldFormat, _.Pos(new System.Text.RegularExpressions.Regex(",\\ "), new System.Text.RegularExpressions.Regex(""), 1), _.CPos((-1)))), "\n", VenueFullName(_.Trim(_.SubStr2(oldFormat, new System.Text.RegularExpressions.Regex("[^,]+"), 1))));
			}
		}
		
		public static string ConvertName(string fullName)
		{
			unchecked
			{
				return _.Concatenate(_.SubStr2(fullName, new System.Text.RegularExpressions.Regex("[a-zA-Z]+"), 1), ", ", _.SubStr(fullName, _.CPos(0), _.CPos(1)), ".");
			}
		}
		
		public static string ConvertList(string oldFormat)
		{
			unchecked
			{
				return _.SplitAndMerge(oldFormat, ", ", "; ", a0 => (ConvertName(a0)));
			}
		}
		
		public static string VenueFullName(string abbr)
		{
			unchecked
			{
				string v3;
				if(abbr.Equals("CACM 2012"))
				{
					v3 = "Communications of the ACM, 2012";
				}
				else
				{
					string v2 = default(string);
					if(abbr.Equals("PLDI 2012"))
					{
						v2 = "The 33rd ACM SIGPLAN conference on Programming Language Design and Implementation, Beijing, June, 2012";
					}
					else
					{
						throw new System.NotImplementedException();;
					}
					v3 = v2;
				}
				
				return v3;
			}
		}
	}
}